#!/usr/bin/env python

"""
web handlers for disparity
"""

from webob import Request, Response, exc

class DisparityProxy(object):
    """disparity proxy server"""

    def __init__(self, **kw):
        self.upstream_server = 'https://developer.mozilla.org/'

    def __call__(self, environ, start_response):
        request = Request(environ)
        response = Response(content_type='text/plain',
                            body="disparity")
        return response(environ, start_response)

if __name__ == '__main__':
    from wsgiref import simple_server
    app = Handler()
    server = simple_server.make_server(host='0.0.0.0', port=8080, app=app)
    server.serve_forever()

